<blc:menu resultVar="menuItems" menuName="Header Nav"></blc:menu>
<ul class="nav navbar-nav main-menu" th:if="${not #lists.isEmpty(menuItems)}">
    <th:block th:each="menuItem : ${menuItems}">
        <!-- Normal Menu Item -->
        <li th:if="${#lists.isEmpty(menuItem.submenu)}">
            <a th:href="@{${menuItem.url}}">
                <span th:utext="${menuItem.label}"></span>
            </a>
        </li>

        <th:block th:unless="${#lists.isEmpty(menuItem.submenu)}">
            <!-- Category Dropdown -->
            <li th:unless="${#strings.isEmpty(menuItem.categoryId)}" class="dropdown">
                <a onclick="toggleMenu()" >
                    <span th:href="@{${menuItem.url}}" th:utext="${menuItem.label}"></span>
                    <span   class="pull-right toggleCustom hide"><i class="fa fa-sort-desc iconCustom" aria-hidden="true"></i></span>
                </a>

                <ul  style="margin-bottom: 10px;" class="dropdown-menu">
                    <li style="margin: 10px !important;" th:each="submenuItem : ${menuItem.submenu}">
                        <a style="color: #3C4858 !important; font-size: 12px !important; padding: 5px; !important;" th:href="@{${submenuItem.url}}" th:utext="${submenuItem.label}"></a>
                    </li>
                </ul>
            </li>

            <!-- Mega-Menu Dropdown -->
            <li th:if="${#strings.isEmpty(menuItem.categoryId)}" class="mega-dropdown dropdown">
                <th:block th:replace="@{layout/partials/navMegaMenu}" />
            </li>
        </th:block>
    </th:block>
</ul>